{
  "name": "{{ agave.appsPrefix }}-cutadapt-gf2",
  "version": "2.1.02",
  "label": "Cutadapt",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/cutadapt-gf2-2.1-02",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "cutadapt-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": false,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "adaptor_b",
      "value": {
        "required": false,
        "default": "ATGC",
        "type": "string"
      }
    },
    { "id": "quality_cutoff",
      "value": {
        "required": false,
        "default": 25,
        "type": "number"
      }
    },
    { "id": "error_rate",
      "value": {
        "required": false,
        "default": "0.03",
        "type": "string"
      }
    },
    { "id": "minimum_length",
      "value": {
        "required": false,
        "default": 75,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}